Bug 29265 - Can't pick editor to use when adding new news or HTML customization entries
Summary: Can't pick editor to use when adding new news or HTML customization entries
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-18 21:32 UTC by Katrin Fischer
Modified: 2021-11-05 18:29 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 29265: Add option to pick editor when creating a new content entry (4.09 KB, patch)
2021-10-25 19:14 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29265: Add option to pick editor when creating a new content entry (4.13 KB, patch)
2021-10-27 05:34 UTC, David Nind
Details | Diff | Splinter Review
Bug 29265: Add option to pick editor when creating a new content entry (4.20 KB, patch)
2021-10-31 00:28 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29265: Add missing category parameter (2.21 KB, patch)
2021-11-05 10:50 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29265: Add missing category parameter (2.21 KB, patch)
2021-11-05 11:02 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2021-10-18 21:32:37 UTC
When editing an existing news/HTML customization entry, you can pick the editor, but if you add a new entry, you can only use the default editor selected for  AdditionalContentsEditor.
Comment 1 Owen Leonard 2021-10-25 19:14:25 UTC
Created attachment 126844 [details] [review]
Bug 29265: Add option to pick editor when creating a new content entry

This patch changes the "New entry" button on the additional contents
page to be a split button which offers the alternative of the
non-default editor (as defined by AdditionalContentsEditor).

Also changed: I moved some of the template logic around to consolidate
handling of the editor variables.

To test, apply the patch and go to Tools -> HTML customizations.

 - At the top of the page there should be a split button. The dropdown
   option should offer the non-default editor.
 - If AdditionalContentsEditor is set to "text editor," clicking the
   "main" part of the button should take you to an entry page which uses
   the text editor.
   - The dropdown part of the button should say "New entry using
      WYSIWYG editor."
 - Switch the AdditionalContentsEditor preference and confirm that the
   button reflects the change.
 - Confirm that the individual "Edit" buttons for each existing content
   entry still works correctly according to the system preference.
Comment 2 David Nind 2021-10-27 05:34:49 UTC
Created attachment 126949 [details] [review]
Bug 29265: Add option to pick editor when creating a new content entry

This patch changes the "New entry" button on the additional contents
page to be a split button which offers the alternative of the
non-default editor (as defined by AdditionalContentsEditor).

Also changed: I moved some of the template logic around to consolidate
handling of the editor variables.

To test, apply the patch and go to Tools -> HTML customizations.

 - At the top of the page there should be a split button. The dropdown
   option should offer the non-default editor.
 - If AdditionalContentsEditor is set to "text editor," clicking the
   "main" part of the button should take you to an entry page which uses
   the text editor.
   - The dropdown part of the button should say "New entry using
      WYSIWYG editor."
 - Switch the AdditionalContentsEditor preference and confirm that the
   button reflects the change.
 - Confirm that the individual "Edit" buttons for each existing content
   entry still works correctly according to the system preference.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2021-10-31 00:28:24 UTC
Created attachment 127118 [details] [review]
Bug 29265: Add option to pick editor when creating a new content entry

This patch changes the "New entry" button on the additional contents
page to be a split button which offers the alternative of the
non-default editor (as defined by AdditionalContentsEditor).

Also changed: I moved some of the template logic around to consolidate
handling of the editor variables.

To test, apply the patch and go to Tools -> HTML customizations.

 - At the top of the page there should be a split button. The dropdown
   option should offer the non-default editor.
 - If AdditionalContentsEditor is set to "text editor," clicking the
   "main" part of the button should take you to an entry page which uses
   the text editor.
   - The dropdown part of the button should say "New entry using
      WYSIWYG editor."
 - Switch the AdditionalContentsEditor preference and confirm that the
   button reflects the change.
 - Confirm that the individual "Edit" buttons for each existing content
   entry still works correctly according to the system preference.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2021-11-03 14:32:04 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 5 Jonathan Druart 2021-11-05 10:50:32 UTC
Created attachment 127355 [details] [review]
Bug 29265: Add missing category parameter
Comment 6 Jonathan Druart 2021-11-05 11:02:43 UTC
Created attachment 127357 [details] [review]
Bug 29265: Add missing category parameter
Comment 7 Jonathan Druart 2021-11-05 11:15:45 UTC
(In reply to Jonathan Druart from comment #6)
> Created attachment 127357 [details] [review] [review]
> Bug 29265: Add missing category parameter

Patch pushed to master.